> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/v21/api-reference/infrastructure/avd/host-pool/assignment.md).

# Assignment

## List

> Retrieve Assignment List of an AVD Host Pool with the specified ID.\<br />

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/{id}/Assignment":{"get":{"tags":["0-Infrastructure/AVD/Host Pool//Assignment"],"summary":"List","description":"Retrieve Assignment List of an AVD Host Pool with the specified ID.<br />","operationId":"5ab38e69-08bc-4d37-9fab-8043ce98a618","parameters":[{"name":"id","in":"path","description":"The ID of an AVD Host Pool for which to retrieve the Assignment settings.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Assignment"}}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"Assignment":{"type":"object","properties":{"account":{"type":"string","description":"<para type=\"description\">The name of the user/group account the filter is added to.</para>","nullable":true},"type":{"$ref":"#/components/schemas/UserType"},"sid":{"type":"string","description":"<para type=\"description\">The SID of the user/group account the filter is added to.</para>","nullable":true},"azureActiveDirectory":{"type":"string","description":"<para type=\"description\">Azure Active Directory</para>","nullable":true},"azureActiveDirectoryId":{"type":"string","description":"<para type=\"description\">Azure Active Directory Id</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">AVD Host Pool Assignment Settings</para>\r\n<para type=\"description\"></para>"},"UserType":{"enum":[["1 = User","2 = Group","3 = ForeignSecurityPrincipal","4 = Computer"]],"type":"string","description":"<para type=\"synopsis\">User Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Add

> Add a user or group to the Assignment List of the AVD Host Pool.\<br />

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/{id}/Assignment":{"post":{"tags":["0-Infrastructure/AVD/Host Pool//Assignment"],"summary":"Add","description":"Add a user or group to the Assignment List of the AVD Host Pool.<br />","operationId":"e52db5e9-9b1c-4f40-b845-717e235a6039","parameters":[{"name":"id","in":"path","description":"The ID of an AVD Host Pool for which to modify the Assignment settings.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Assignment configuration.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/AddAVDHostPoolAssignment"}}}},"responses":{"201":{"description":"Created"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"409":{"description":"Conflict","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"AddAVDHostPoolAssignment":{"type":"object","properties":{"account":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">The name of the account to add to the Assignments.</para>","nullable":true},"sid":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">The SID of the account to add to the Assignments.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Add a user or group account to the AVD Host Pool Assignment list</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Remove

> Remove a user or group from the Assignment List of the AVD Host Pool.\<br />

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/{id}/Assignment":{"delete":{"tags":["0-Infrastructure/AVD/Host Pool//Assignment"],"summary":"Remove","description":"Remove a user or group from the Assignment List of the AVD Host Pool.<br />","operationId":"35e2076e-c8be-4fe4-946e-6b54f978f935","parameters":[{"name":"id","in":"path","description":"The ID of an AVD Host Pool for which to modify the Assignment settings.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Assignment configuration.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/RemoveAVDHostPoolAssignment"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"RemoveAVDHostPoolAssignment":{"type":"object","properties":{"account":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">The name of the account to remove from the Assignments.</para>","nullable":true},"sid":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">The SID of the account to remove from the Assignments.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Remove a user or group account from the AVD Host Pool Assignment list</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/v21/api-reference/infrastructure/avd/host-pool/assignment.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
